#ifndef ONOFFSTATUSWIDGET_H
#define ONOFFSTATUSWIDGET_H

#include <QGraphicsWidget>
#include <QRect>
#include <QTimer>

class CONOFFStatusWidget : public QGraphicsWidget
{
     Q_OBJECT
public:

	CONOFFStatusWidget(QString Lable = QString());
	~CONOFFStatusWidget();

    QGraphicsTextItem *mLabel;
	QGraphicsPixmapItem *mONLedOnPixmap,*mONLedOffPixmap;
	QGraphicsPixmapItem *mOFFLedOnPixmap,*mOFFLedOffPixmap;

	void SetON();
	void SetOFF();
	void Toggle();



public slots:



};

#endif // ONOFFSTATUSWIDGET_H
